import React from 'react';

export const Environment = ({ color, height }) => {
  return (
    <svg
      xmlns='http://www.w3.org/2000/svg'
      viewBox='0 0 512 512'
      style={{ height: height, fill: color }}
    >
      <g>
        <path
          d='M503.401,228.884l-43.253-39.411V58.79c0-8.315-6.741-15.057-15.057-15.057H340.976c-8.315,0-15.057,6.741-15.057,15.057
					v8.374l-52.236-47.597c-10.083-9.189-25.288-9.188-35.367-0.001L8.598,228.885c-8.076,7.36-10.745,18.7-6.799,28.889
					c3.947,10.189,13.557,16.772,24.484,16.772h36.689v209.721c0,8.315,6.741,15.057,15.057,15.057h125.913
					c8.315,0,15.057-6.741,15.057-15.057V356.931H293v127.337c0,8.315,6.741,15.057,15.057,15.057h125.908
					c8.315,0,15.057-6.741,15.056-15.057V274.547h36.697c10.926,0,20.537-6.584,24.484-16.772
					C514.147,247.585,511.479,236.245,503.401,228.884z M433.965,244.433c-8.315,0-15.057,6.741-15.057,15.057v209.721h-95.793
					V341.874c0-8.315-6.742-15.057-15.057-15.057H203.942c-8.315,0-15.057,6.741-15.057,15.057v127.337h-95.8V259.49
					c0-8.315-6.741-15.057-15.057-15.057H36.245l219.756-200.24l74.836,68.191c4.408,4.016,10.771,5.051,16.224,2.644
					c5.454-2.41,8.973-7.812,8.973-13.774V73.847h74.002v122.276c0,4.237,1.784,8.276,4.916,11.13l40.803,37.18H433.965z'
        />
      </g>
    </svg>
  );
};

export const Mental = ({ color, height }) => {
  return (
    <svg
      xmlns='http://www.w3.org/2000/svg'
      viewBox='-13 0 511 511.99994'
      style={{ height: height, fill: color }}
    >
      <path d='m472.816406 127.976562c-17.441406-45.460937-50.527344-81.359374-95.683594-103.816406-41.246093-20.511718-90.613281-28.335937-139.007812-22.035156-35.800781 4.660156-69.796875 17.175781-98.316406 36.195312-55.695313 37.140626-92.230469 97.28125-97.730469 160.871094-.824219 9.542969.578125 19.097656 1.933594 28.335938 1.417969 9.691406 2.761719 18.84375 1.109375 25.417968l-.003906.019532c-.363282 1.460937-4.460938 15.160156-35.671876 46.058594-7.828124 7.75-10.808593 19.148437-7.78125 29.746093 3.027344 10.601563 11.585938 18.707031 22.335938 21.152344 4.449219 1.015625 8.488281 1.90625 12.011719 2.6875 1.167969.257813 2.28125.503906 3.332031.738281.195312 24.460938.515625 53.257813.96875 58.648438 1.058594 12.558594 6.578125 23.078125 15.964844 30.417968 13.007812 10.179688 32.679687 13.5 56.898437 9.613282 18.675781-3.003906 29.78125 1.730468 33.015625 14.066406.289063 2.4375 1.140625 9.921875 1.695313 18.097656 1.050781 15.59375 14.121093 27.808594 29.753906 27.808594h192.992187c16.453126 0 29.839844-13.386719 29.839844-29.84375v-53.394531c0-37.648438 5.917969-63.257813 17.585938-76.117188 28.953125-31.90625 49.632812-67.753906 59.804687-103.671875 11.660157-41.167968 9.960938-81.878906-5.046875-120.996094zm-23.816406 112.820313c-8.917969 31.488281-27.296875 63.191406-53.15625 91.683594-17.070312 18.816406-25.371094 50.308593-25.371094 96.28125v53.238281h-192.671875c-.730469-10.765625-1.902343-20.09375-1.953125-20.488281l-.097656-.769531-.175781-.753907c-3.117188-13.394531-10.574219-24.054687-21.5625-30.835937-12.003907-7.410156-27.347657-9.675782-45.59375-6.742188-15.3125 2.457032-27.578125 1.136719-33.660157-3.621094-1.734374-1.355468-4.089843-3.796874-4.554687-9.304687-.21875-2.609375-.582031-19.746094-.886719-59.453125-.09375-12.191406-8.464844-22.585938-20.351562-25.273438-1.894532-.429687-4.066406-.90625-6.472656-1.441406-3.476563-.765625-7.453126-1.648437-11.835938-2.644531-.054688-.011719-.085938-.023437-.097656-.023437-.042969-.066407-.082032-.195313-.089844-.210938 0 0 .019531-.03125.078125-.09375 24.902344-24.648438 40-45.429688 43.667969-60.097656 3.097656-12.34375 1.257812-24.914063-.523438-37.070313-1.15625-7.886719-2.25-15.335937-1.726562-21.398437 2.328125-26.945313 11.507812-54.058594 26.542968-78.40625 14.730469-23.859375 34.769532-44.636719 57.941407-60.089844 24.710937-16.476562 54.292969-27.339844 85.546875-31.40625 42.550781-5.542969 85.804687 1.261719 121.78125 19.148438 38.304687 19.050781 66.328125 49.378906 81.03125 87.703124 12.636718 32.929688 14.046875 67.273438 4.191406 102.070313zm0 0' />
      <path d='m338.101562 128.328125c-34.929687-14.203125-62.070312 2.386719-76.011718 14.667969-13.996094-12.234375-41.21875-28.757813-76.125-14.570313-20.296875 8.25-35.984375 24.320313-44.175782 45.25-8.648437 22.097657-7.808593 47.140625 2.304688 68.707031 23.160156 49.382813 70.785156 90.867188 106.65625 116.964844 3.40625 2.480469 7.394531 3.71875 11.386719 3.71875 3.988281 0 7.976562-1.238281 11.382812-3.714844 51.929688-37.789062 87.746094-77.171874 106.453125-117.066406 10.113282-21.5625 10.953125-46.605468 2.304688-68.703125-8.191406-20.929687-23.878906-37-44.175782-45.253906zm14.710938 101.21875c-10.960938 23.375-35.566406 59.523437-90.679688 100.914063-55.40625-41.585938-79.992187-77.605469-90.878906-100.816407-6.632812-14.152343-7.191406-30.5625-1.53125-45.03125 5.164063-13.191406 14.945313-23.273437 27.539063-28.394531 5.542969-2.253906 10.757812-3.195312 15.613281-3.195312 16.121094 0 28.222656 10.402343 34.792969 17.804687 3.664062 4.132813 8.929687 6.5 14.453125 6.5h.039062c5.535156-.011719 10.808594-2.402344 14.46875-6.558594 8.480469-9.644531 26.273438-24.367187 50.171875-14.648437 12.601563 5.121094 22.378907 15.207031 27.542969 28.398437 5.660156 14.464844 5.101562 30.878907-1.53125 45.027344zm0 0' />
    </svg>
  );
};

export const Physical = ({ color, height }) => {
  return (
    <svg
      xmlns='http://www.w3.org/2000/svg'
      viewBox='0 0 512 512'
      style={{ height: height, fill: color }}
    >
      <g>
        <g>
          <path
            d='M466.983,71.281c-25.823-26.105-60.706-40.537-98.225-40.643c-38.617-0.129-77.317,14.503-108.324,40.514
			c-35.265-31.055-67.165-46.197-97.204-46.197c-41.952,0-80.875,16.523-109.334,46.262c-21.39,21.39-36.046,49.474-42.399,81.221
			c-1.902,9.541,4.28,18.818,13.822,20.727c9.53,1.891,18.818-4.28,20.727-13.822c4.979-24.901,16.305-46.761,33.028-63.489
			c22.018-23.005,51.91-35.67,84.157-35.67c23.363,0,51.664,15.742,83.817,46.479c3.605,3.623,8.343,5.625,13.34,5.631
			c0.006,0,0.018,0,0.023,0c4.985,0,9.723-1.99,13.334-5.601c25.958-25.958,60.424-40.825,94.597-40.825c0.112,0,0.217,0,0.323,0
			c28.477,0.076,53.819,10.522,73.077,29.986c22.594,23.598,35.036,54.506,35.036,87.046c0,32.564-12.724,64.241-34.554,86.564
			L260.697,444.941L116.756,305.867c-6.993-6.758-18.143-6.553-24.907,0.423c-6.758,6.999-6.564,18.149,0.429,24.907
			l156.183,150.899c3.411,3.3,7.827,4.95,12.236,4.95s8.825-1.65,12.242-4.944l194.114-187.655
			C495.618,265.248,512,224.593,512,182.899C512,141.24,496.082,101.672,466.983,71.281z'
          />
        </g>
      </g>
      <g>
        <g>
          <path
            d='M480.294,223.413H338.202c-4.85,0-9.477,1.99-12.8,5.513l-53.414,56.479L210.466,145.85
			c-2.642-5.995-8.396-10.029-14.931-10.469c-6.5-0.417-12.776,2.783-16.2,8.367l-48.863,79.665H17.615
			C7.885,223.413,0,231.298,0,241.028s7.885,17.615,17.615,17.615h122.71c6.124,0,11.814-3.182,15.014-8.408l36.451-59.42
			l58.663,133.061c2.378,5.402,7.304,9.248,13.117,10.252c0.998,0.17,2.002,0.258,3,0.258c4.803,0,9.447-1.961,12.8-5.508
			l66.419-70.236h134.506c9.729,0,17.615-7.886,17.615-17.615C497.908,231.298,490.023,223.413,480.294,223.413z'
          />
        </g>
      </g>
    </svg>
  );
};
